<script setup>
import { ref } from 'vue';
import { Link } from '@inertiajs/vue3';

const showingNavigationDropdown = ref(false);
</script>

<template>
    <!-- Page Wrapper -->
    <div id="wrapper">
        <!-- Sidebar -->
        <ul class="navbar-nav bg-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <img src="/assets/img/logo.png" width="50">
                </div>
                <div class="sidebar-brand-text mx-3 text-secondary">Percetakan <sup>alif</sup></div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">


            <li class="nav-item mt-3 " :class="{ 'active': isActive('/dashboard') }">
                <Link href="/dashboard" class="nav-link">
                <i class="far fa-fw fa-chart-bar"></i>
                <span>Dashboard</span></Link>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Pengguna
            </div>


            <li class="nav-item">
                <Link class="nav-link" href="/profile">
                <i class="far fa-fw fa-user"></i>
                <span>Profile</span></Link>
            </li>

            <li class="nav-item">
                <Link class="nav-link" href="/bantuan">
                <i class="far fa-fw fa-question-circle"></i>
                <span>Bantuan</span></Link>
            </li>


            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->


            <template v-if="user.role == 'admin'">

                <li class="nav-item" :class="{ 'active': isActive('/admin/pengguna') }">
                    <Link class="nav-link" href="/admin/pengguna">
                    <i class="far fa-fw fa-address-card"></i>
                    <span>Pengguna</span></Link>
                </li>


                <!-- <li class="nav-item">
                    <Link class="nav-link" href="/log_aktivitas">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Log Aktivitas</span></Link>
                </li> -->

            </template>

            <template v-if="user.role == 'pegawai'">

                <li class="nav-item" :class="{ 'active': isActive('/absensi') }">
                    <Link class="nav-link" href="/absensi">
                    <i class="fas fa-fw fa-chalkboard-teacher"></i>
                    <span>Absensi</span></Link>
                </li>


                <li class="nav-item" :class="{ 'active': isActive('/log_absensi') }">
                    <Link class="nav-link" href="/log_absensi">
                    <i class="far fa-fw fa-calendar-alt"></i>
                    <span>Log Absensi</span></Link>
                </li>
                <!-- Divider -->
                <hr class="sidebar-divider">
                <!-- <div class="sidebar-heading">
                    pegawai
                </div> -->


            </template>
            <template v-if="user.role == 'admin'">
                <li class="nav-item" :class="{ 'active': isActive('/pesanan') }">
                    <Link class="nav-link" href="/pesanan">
                    <i class="far fa-fw fa-handshake"></i>
                    <span>Pesanan</span></Link>
                </li>


                <li class="nav-item" :class="{ 'active': isActive('/pelanggan') }">
                    <Link class="nav-link" href="/pelanggan">
                    <i class="far fa-fw fa-address-card"></i>
                    <span>Pelanggan</span></Link>
                </li>
                <li class="nav-item" :class="{ 'active': isActive('/admin/report_absensi') }">
                    <Link class="nav-link" href="/admin/report_absensi">
                    <i class="far fa-fw fa-calendar-alt"></i>
                    <span>Report Absensi</span></Link>
                </li>
                <!-- Divider -->





            </template>



            <li class="nav-item">
                <Link :href="route('logout')" as="buttton" method="post" class="nav-link" href="tables.html">
                <i class="far fa-fw fa-share-square"></i>
                <span>Logout</span></Link>
            </li>
            <!-- Divider -->
            <hr class="sidebar-divider d-none d-md-block">

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button @click="toggleNav" class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top  ">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button @click="toggleNav" id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Search -->
                    <!-- <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                        <div class="input-group">
                            <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..."
                                aria-label="Search" aria-describedby="basic-addon2">
                            <div class="input-group-append">
                                <button class="btn bg-main text-white" type="button">
                                    <i class="fas fa-search fa-sm"></i>
                                </button>
                            </div>
                        </div>
                    </form> -->

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">


                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                            placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </li>




                        <div class="topbar-divider d-none d-sm-block"></div>


                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ user.name }}</span>
                                <img class="img-profile rounded-circle" src="/assets/img/images.png">

                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">

                                <!-- <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a> -->
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <slot />
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; <a href="https://samtam.tech">samtam tech 2023</a></span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Yakin ingin keluar?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">tekan tombol logout dibawah jika ingin keluar.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <Link class="btn btn-primary" href="/logout" method="post" as="button">Logout</Link>
                </div>
            </div>
        </div>
    </div>
</template>
<style>
#wrapper .row {
    height: auto !important;
}
</style>
<script>

export default {
    props: {
        user: Object
    },

    methods: {
        toggleNav() {

            // Use jQuery to toggle the 'toggled' class on the navbar element
            const navbar = document.querySelector('.navbar-nav');
            navbar.classList.toggle('toggled');
        },
        isActive(url) {
            return window.location.pathname === url;
        }
    },
    mounted() {
        $(window).on('scroll', function (event) {
            // Check if viewport width is below a certain threshold (e.g., 768px for mobile devices)
            const isMobile = $(window).width() < 768;

            if (isMobile) {
                $('.toggled').addClass('showed')
            }
        });

    }
};
</script>


